{
  "schema_version": "1.4.0",
  "id": "GHSA-hgg3-g7gr-66r7",
  "modified": "2024-10-21T20:21:37Z",
  "published": "2018-08-27T19:52:28Z",
  "aliases": [
    "CVE-2018-15560"
  ],
  "summary": "PyCryptodome integer overflow vulnerability",
  "details": "PyCryptodome before 3.6.6 has an integer overflow in the data_len variable in AESNI.c, related to the AESNI_encrypt and AESNI_decrypt functions, leading to the mishandling of messages shorter than 16 bytes.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    },
    {
      "type": "CVSS_V4",
      "score": "CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:N/VI:N/VA:H/SC:N/SI:N/SA:N"
    }
  ],
  "affected": [
    {
      "package": {
        "ecosystem": "PyPI",
        "name": "pycryptodome"
      },
      "ranges": [
        {
          "type": "ECOSYSTEM",
          "events": [
            {
              "introduced": "0"
            },
            {
              "fixed": "3.6.6"
            }
          ]
        }
      ]
    }
  ],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2018-15560"
    },
    {
      "type": "WEB",
      "url": "https://github.com/Legrandin/pycryptodome/issues/198"
    },
    {
      "type": "PACKAGE",
      "url": "https://github.com/Legrandin/pycryptodome"
    },
    {
      "type": "ADVISORY",
      "url": "https://github.com/advisories/GHSA-hgg3-g7gr-66r7"
    },
    {
      "type": "WEB",
      "url": "https://github.com/pypa/advisory-database/tree/main/vulns/pycryptodome/PYSEC-2018-21.yaml"
    },
    {
      "type": "WEB",
      "url": "https://whitehatck01.blogspot.com/2018/08/integer-overflow-vulnerability-in.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": true,
    "github_reviewed_at": "2020-06-16T21:40:07Z",
    "nvd_published_at": "2018-08-20T00:29:00Z"
  }
}